%define module Geo-IP-PurePerl

Name: perl-%module
Version: 1.24
Release: alt1

Packager: Victor Forsyuk <force@altlinux.org>

Summary: Geo::IP::PurePerl - Look up country by IP Address
License: GPLv2+
Group: Development/Perl

BuildArch: noarch

Url: %CPAN %module
Source: http://www.cpan.org/modules/by-module/Geo/%module-%version.tar.gz

# Automatically added by buildreq on Wed Oct 07 2009 (-bi)
BuildRequires: GeoIP-Lite-Country perl-Encode perl-Locale-Codes perl-devel

%description
This module uses a file based database. This database simply contains IP blocks
as keys, and countries as values. This database should be more complete and
accurate than reverse DNS lookups.

%prep
%setup -n %module-%version

%build
find . -type f -print0 | xargs -r0 %__subst 's./usr/local/share/GeoIP./usr/share/GeoIP.'
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes geoip-lookup-*
%_bindir/geoip-lookup
%_man1dir/*
%perl_vendor_privlib/Geo
%perl_vendor_man3dir/*

%changelog
* Wed Oct 07 2009 Victor Forsyuk <force@altlinux.org> 1.24-alt1
- 1.24

* Tue Aug 16 2005 LAKostis <lakostis at altlinux.ru> 1.17-alt1
- 1.17.
- remove man3 pages (use perldoc instead).
- add lookup examples.
- fix prefix.

* Mon Apr 11 2005 LAKostis <lakostis at altlinux.ru> 1.14-alt1.1
- change license to GPL;
- fix buildreq;
- add lost man pages.

* Sat Apr 09 2005 LAKostis <lakostis at altlinux.ru> 1.14-alt1
- first build for Sisyphus.

